from django.conf.urls.defaults import *
from django.contrib import admin
admin.autodiscover()

from django.conf import settings
import os
absolut_static_dir = os.path.join(os.path.abspath(os.path.dirname(__file__)), settings.STATIC_DOC_ROOT)

ROOT_URLS = ''
if not settings.ROOT_URLS:
	try:
		import user.urls
		ROOT_URLS='user.urls'
	except:
		pass
else:
	ROOT_URLS = settings.ROOT_URLS

urlpatterns = patterns('',
	(r'^(?P<path>css/.*)$',		'django.views.static.serve', {'document_root': absolut_static_dir }),
	(r'^(?P<path>img/.*)$',		'django.views.static.serve', {'document_root': absolut_static_dir }),
	(r'^(?P<path>files/.*)$',	'django.views.static.serve', {'document_root': absolut_static_dir }),
	(r'^(?P<path>captchas/.*)$',	'django.views.static.serve', {'document_root': absolut_static_dir }),

	(r'^admin/katrin/', 				include('katrin.urls')),
	(r'^jsi18n/(?P<packages>\S+?)/$', 'django.views.i18n.javascript_catalog'),

)

if ROOT_URLS:
	urlpatterns += patterns('',
		(r'^',                                          include(ROOT_URLS)),
	)

if settings.DEBUG:
	urlpatterns += patterns('',
		(r'^katrin/adminmedia/(?P<path>.*)$',	'django.views.static.serve', {'document_root': 'katrin/adminmedia', 'show_indexes': True }),
	)

if 'user' in settings.KATRIN_MODULES:
	urlpatterns += patterns('',
			(r'^user/',                                     include('user.urls')),
			)


if 'traff' in settings.KATRIN_MODULES:
	urlpatterns += patterns('',
			(r'^admin/traff/servicetraffstat/',            include('traff.urls')),
			)


if 'tel' in settings.KATRIN_MODULES:
	urlpatterns += patterns('',
			(r'^admin/tel/servicetelstatsaggregate/',       include('tel.urls')),
			)

urlpatterns += patterns('',
	(r'^admin/(.*)', 				admin.site.root),
)
