#!/usr/bin/python
# vim: set fileencoding=utf-8 :

from django.conf import settings
from django.utils.translation import ugettext_lazy as _

class DemoBillExporter:
	@classmethod
	def export(cls, bill):
		"Dummy export method prints billing statement to stdout"
		body = u"""
----------------------------------------------------------------------------------------------------
%s:\t\t\t\t%s 
%s:\t%s 
%s:\t\t\t\t\t%s
----------------------------------------------------------------------------------------------------
%s     | %s    | %s | %s     | %s  | %s
----------------------------------------------------------------------------------------------------
""" % (_('Bill to'), bill.bill_to, 
		_('External id of bill recipient'), bill.bill_to_extid,
		_('Date'), bill.date,
		_('#'), _('Description'), _('Net amount'), _('Discount'), _('VAT amount'), _('Total'),
		)
		entries = bill.entries.all()
		for i in range(entries.count()):
			entry = entries[i]
			body += u"%i\t%s" % (i+1, cls.export_bill_entry(entry))
		body += u"""
----------------------------------------------------------------------------------------------------
                                                            %s:\t%.2f
                                                            %s (%d%%):\t%.2f
                                                            %s:\t%.2f

""" % (_('Subtotal'),bill.subtotal(),
		_('VAT'), settings.VAT_PERCENT, bill.vat(), 
		_('TOTAL'), bill.total())
		print body

	@classmethod
	def export_bill_entry(cls, bill_entry):
		return u"%50s\t%.2f\t%.2f\t%.2f\t%.2f\n" % (bill_entry.operation, bill_entry.net_amount, bill_entry.discount, bill_entry.vat_amount, bill_entry.total())

ExporterClass = DemoBillExporter
